- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#body.CampaignCreativeAssociationsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations/list#try-it)

Retrieves the list of creative IDs associated with the specified campaign. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |
| `campaignId` | `string (https://developers.google.com/discovery/v1/type-format format)` Campaign ID in this association. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Campaign Creative Association campaignCreativeAssociations.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "campaignCreativeAssociations": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations#CampaignCreativeAssociation`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#campaignCreativeAssociationsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `campaignCreativeAssociations[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/campaignCreativeAssociations#CampaignCreativeAssociation`)`` Campaign creative association collection |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`